Subject: bug#42002: Bug: Signal kill during build

From: Bengt Richter <[email-masked]>
Date: Tue, 23 Jun 2020 16:03:03 +0200

Hi all,

On +2020-06-23 08:57:52 +0300, Efraim Flashner wrote:
> On Tue, Jun 23, 2020 at 03:38:39AM +0300, Bonface M. K. wrote:
> > Léon Lain Delysid <[email-masked]> writes:
> > 
> > > Oh! Yes, of course, I see!
> > > Yes, those little credit card sized one-chip computers are very low on resources.
> > > So I think it shouldn't build the programs itself but rather download the binaries everytime I "guix pull". What command line
> > > option should I use to only download the binaries instead of building everything myself? Could you please give me the command?
> > >
> > You could try: `guix pull --substitute-urls="https://berlin.guixsd.org
> > https://ci.guix.gnu.org https://mirror.hydra.gnu.org"`. Since you are on
> > Debian, you should authorize the servers. More of the authorization
> > here:
> > https://guix.gnu.org/manual/en/html_node/Substitute-Server-Authorization.html.
> > You could always dry-run your commands to see if the substitutes work.
> 
> Actually, berlin.guixsd.org and ci.guix.gnu.org are the same server, and
> mirror.hydra.gnu.org was decommissioned a while ago. The second server
> for substitutes is https://bayfront.guix.gnu.org.
>

If one has a powerful-enough pc or laptop on local ethernet,
is there a package that would set up a local user as simple builder-server
that the pi could download binary substitutes from?

Such a local server might have other uses as well, if browser-friendly :)
I'm sure you don't need help imagining that :)

> I think the best option would be to make sure you run 'guix pull'
> targeting a derivation which has substitutes. If you check here¹ you can
> see if there's a substitute already available for armhf-linux and run
> 'guix pull --commit=the-commit-listed-in-the-link'. Right now, that
> would be 42a2ee1f9294614bd85892f2cc7318afb80b174c, which is actually the
> latest commit.
> 
> ¹ https://ci.guix.gnu.org/jobset/guix-modular-master
> 
> > 
> > > On Mon, Jun 22, 2020, 14:47 Efraim Flashner <[email-masked]> wrote:
> > >
> > >     On Mon, Jun 22, 2020 at 02:28:33PM +0200, Léon Lain Delysid wrote:
> > >     > Hello! I'm having a problem on a Banana Pi M3 that runs Debian 10 Buster
> > >     > (ARM like instruction set).
> > >     > "guix pull" always results in failure with this message:
> > >     >
[...]
> > >     >
> > >     > What can I do? Some help would be much appreciated. Thanks!
> > >     >
> > >     > Best regards,
> > >     > Léon
> > >    
> > >     The signal 9 (killed) makes me think a C++ program killed. I checked
> > >     wikipedia and it says the Banana Pi M3 has 2GB of RAM. Was there
> > >     anything else running at the time? 'guix pull' can be resource
> > >     intensive, especially on lower powered machines.
> > >    
> > >     --
> > >     Efraim Flashner   <[email-masked]>   אפרים פלשנר
> > >     GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
> > >     Confidentiality cannot be guaranteed on emails sent or received unencrypted
> > 
> > -- 
> > Bonface M. K. (https://www.bonfacemunyoki.com)
> > One Divine Emacs To Rule Them All
> > GPG key = D4F09EB110177E03C28E2FE1F5BBAE1E0392253F
>
Above sig reminds me:

BTW: if your Divine Emacs, like mine on debian-based distro , has recently been disrupted by Alt-Shift,
(probably because you have two kbd languages and emacs Alt '<' is Alt-Shift-comma on your en kbd)
stack-overflow had the recipe that worked for me. tl;dr in snip:

    disabling alt-shift toggling of us/sv ..
    read old value, write new value, read new value to check:
--8<---------------cut here---------------start------------->8---
    dconf read /org/gnome/desktop/input-sources/xkb-options
    ['grp:alt_shift_toggle', 'grp_led:scroll']
    dconf write /org/gnome/desktop/input-sources/xkb-options "['grp_led:scroll']"
    dconf read /org/gnome/desktop/input-sources/xkb-options
    ['grp_led:scroll']
--8<---------------cut here---------------end--------------->8---

Please excuse the off-topic BTW, but that bug cost me a lot of time,
so I hope that's useful to someone. Meta-question: how should one offer
hints like this so we can find them easily?

Seems like we need browsable open-gis/open-streetmap to map the ux territory and its potholes ;)

> -- 
> Efraim Flashner   <[email-masked]>   אפרים פלשנר
> GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
> Confidentiality cannot be guaranteed on emails sent or received unencrypted

-- 
Regards,
Bengt Richter